## com.google.javascript.jscomp.graph
Class UndiGraph<N,E>

    java.lang.Object
      com.google.javascript.jscomp.graph.Graph<N,E>
          com.google.javascript.jscomp.graph.UndiGraph<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

All Implemented Interfaces:
  AdjacencyGraph<N,E>

Direct Known Subclasses:
  LinkedUndirectedGraph

    public abstract class UndiGraph<N,E>

extends Graph<N,E>

A generic undirected graph.

Nested Class Summary
`static interface` | `UndiGraph.UndiGraphEdge<N,E>` A generic undirected graph edge.
`static interface` | `UndiGraph.UndiGraphNode<N,E>` A generic undirected graph node.

Nested classes/interfaces inherited from class com.google.javascript.jscomp.graph.Graph
`Graph.GraphEdge<N,E>`

Constructor Summary
`UndiGraph()`

Method Summary
`abstract UndiGraph.UndiGraphNode<N,E>` | `getUndirectedGraphNode(N nodeValue)`

Methods inherited from class com.google.javascript.jscomp.graph.Graph
`clearEdgeAnnotations, clearNodeAnnotations, connect, connectIfNotFound, createNode, disconnect, getEdges, getEdges, getFirstEdge, getNeighborNodes, getNeighborNodesIterator, getNodeDegree, getNodes, getWeight, hasNode, isConnected, isConnected, popEdgeAnnotations, popNodeAnnotations, pushEdgeAnnotations, pushNodeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.javascript.jscomp.graph.AdjacencyGraph
`getNode, newSubGraph`

Constructor Detail

### UndiGraph

    public UndiGraph()

Method Detail

### getUndirectedGraphNode

    public abstract UndiGraph.UndiGraphNode<N,E> getUndirectedGraphNode(N nodeValue)